From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-strategy/wesnoth/files/, games-strategy/wesnoth/
Date: Thu, 31 May 2018 11:15:39 +0000 (UTC) [thread overview]
Message-ID: <1527765329.4e4ea8746ff0c79b77dc4326dcd67db3db7eed64.polynomial-c@gentoo> (raw)
commit: 4e4ea8746ff0c79b77dc4326dcd67db3db7eed64
Author: Matija Skala <mskala <AT> gmx <DOT> com>
AuthorDate: Thu May 17 06:02:28 2018 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu May 31 11:15:29 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e4ea874
games-strategy/wesnoth: new wesnothd.rc file for 1.14
Bug: https://bugs.gentoo.org/654440
Closes: https://github.com/gentoo/gentoo/pull/8440
games-strategy/wesnoth/files/wesnothd.rc-r1 | 23 ++++++++++++++++++++++
...noth-1.14.1.ebuild => wesnoth-1.14.1-r1.ebuild} | 4 ++--
2 files changed, 25 insertions(+), 2 deletions(-)
diff --git a/games-strategy/wesnoth/files/wesnothd.rc-r1 b/games-strategy/wesnoth/files/wesnothd.rc-r1
new file mode 100644
index 00000000000..c1a0d9d2016
--- /dev/null
+++ b/games-strategy/wesnoth/files/wesnothd.rc-r1
@@ -0,0 +1,23 @@
+#!/sbin/openrc-run
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ use net
+}
+
+start() {
+ checkpath -q -d -m 0750 -o wesnoth:wesnoth /run/wesnothd
+ ebegin "Starting wesnothd"
+ start-stop-daemon --start --quiet -b -m \
+ --pidfile /run/wesnothd/wesnothd.pid \
+ -c wesnoth:wesnoth \
+ --exec /usr/bin/wesnothd
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping wesnothd"
+ start-stop-daemon --stop --quiet --pidfile /run/wesnothd/wesnothd.pid
+ eend $?
+}
diff --git a/games-strategy/wesnoth/wesnoth-1.14.1.ebuild b/games-strategy/wesnoth/wesnoth-1.14.1-r1.ebuild
similarity index 96%
rename from games-strategy/wesnoth/wesnoth-1.14.1.ebuild
rename to games-strategy/wesnoth/wesnoth-1.14.1-r1.ebuild
index 7372ade39d6..5a1f6c5af2e 100644
--- a/games-strategy/wesnoth/wesnoth-1.14.1.ebuild
+++ b/games-strategy/wesnoth/wesnoth-1.14.1-r1.ebuild
@@ -108,7 +108,7 @@ src_configure() {
src_install() {
DOCS="README.md changelog.md players_changelog.md" cmake-utils_src_install
if use dedicated || use server; then
- keepdir "/run/wesnothd"
- newinitd "${FILESDIR}"/wesnothd.rc wesnothd
+ rmdir "${ED%/}/run/wesnothd" || die
+ newinitd "${FILESDIR}"/wesnothd.rc-r1 wesnothd
fi
}
next reply other threads:[~2018-05-31 11:15 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-05-31 11:15 Lars Wendler [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-06-06 8:13 [gentoo-commits] repo/gentoo:master commit in: games-strategy/wesnoth/files/, games-strategy/wesnoth/ Andreas Sturmlechner
2019-07-26 18:23 Andreas Sturmlechner
2024-11-09 9:41 Pacho Ramos
2025-03-08 23:17 Sam James
2025-03-13 14:57 Sam James
2025-04-13 1:05 Stefan Strogin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1527765329.4e4ea8746ff0c79b77dc4326dcd67db3db7eed64.polynomial-c@gentoo \
--to=polynomial-c@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox